%{!?_licensedir: %global license %%doc}

Name:             borgbackup
Version:          0.29.0
Release:          1%{?dist}
Summary:          Deduplicated, encrypted, authenticated and compressed backups

License:          BSD
URL:              http://pypi.python.org/pypi/borgbackup
Source0:          https://pypi.python.org/packages/source/b/borgbackup/borgbackup-%{version}.tar.gz

BuildRequires:    libacl-devel
BuildRequires:    openssl-devel
BuildRequires:    lz4-devel
BuildRequires:    python3-devel
BuildRequires:    python3-setuptools
BuildRequires:    python3-setuptools_scm
BuildRequires:    python3-msgpack

%description
BorgBackup (short: Borg) is a deduplicating backup program. Optionally, it
supports compression and authenticated encryption.

The main goal of Borg is to provide an efficient and secure way to backup data.
The data deduplication technique used makes Borg suitable for daily backups
since only changes are stored. The authenticated encryption technique makes it
suitable for backups to not fully trusted targets.


%prep
%autosetup -n %{name}-%{version}

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files 
%doc README.rst
%license LICENSE
%{_bindir}/borg
%{python3_sitearch}/borg/
%{python3_sitearch}/%{name}-%{version}*


%changelog
* Tue Dec 15 2015 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.29.0-1
- initial package for Fedora
